Bug 1732787 - [Tracker bug 1738394 ] Two block volumes are created for a single PVC claim when there are two block provisioner pods deployed in two different namespaces
Summary: [Tracker bug 1738394 ] Two block volumes are created for a single PVC claim w...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhgs-gluster-block-prov-container
Version: ocs-3.11
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: OCS 3.11.z Batch Update 4
Assignee: Humble Chirammal
QA Contact: Rachael
URL:
Whiteboard:
Depends On: 1738394 1759837
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 11:25 UTC by Rachael
Modified: 2020-02-13 05:22 UTC (History)
9 users (show)

Fixed In Version: openshift-ansible-3.11.153-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-13 05:22:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 4 Humble Chirammal 2019-07-25 06:48:04 UTC
John, would you like to take this bugzilla and proceed?

Comment 15 Humble Chirammal 2019-08-05 13:32:02 UTC
[RCA]

If we want to deploy 2 provisioners, we have/should deploy the provisioners with **different** provisioner names. Otherwise the issue reported here would happen. This is happening because of a change in upstream with leader election as suspected or pointed out (https://bugzilla.redhat.com/show_bug.cgi?id=1732787#c11) in previous comment. The leader election has been changed to provisioners, but since they are in different namespaces they cannot benefit from it.


So please verify the behaviour with different provisioners and if it works as expected, we have to document it. We can convert this bugzilla to doc bug or create a new one accordingly.

Comment 22 Humble Chirammal 2019-08-07 03:41:08 UTC
I agree with comment#20 and #21. This should be handled in {openshift,cns}-ansible.  Upgrade can be handled via documentation,release note now and agree with John is suggesting.

Comment 28 Humble Chirammal 2019-08-19 07:34:22 UTC
Kasturi, acked it for the release. I dont think we need to remove tracker though.

Comment 32 Humble Chirammal 2019-09-06 06:18:19 UTC
Kasturi, regarding comment#30 and #31, there not going to be any fix here about this issue, so I dont think FIV make sense here. It just depends on the ansible bug and its FIV.

Comment 36 Humble Chirammal 2019-10-03 13:09:07 UTC
Yep, this can be ON_QA as we already passed 2 weeks after the merge. Moving to ON_QA.

Comment 40 Humble Chirammal 2019-10-07 09:06:53 UTC
Kasturi, looks like there was already a build as mentioned in c#38, I am moving to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.